eslint-config-clarity-hub

3.0.0 • Public • Published

Clarity Hub JavaScript Style Guide

Eslints for the Clarity Hub world.

In order to use any of these linters, you will need to use yarn, and add eslint-config-clarity-hub. Since this repo is protected, you will need to to authenticate to clone it.

Available Linters

  1. node-mocha
  2. node
  3. react

node-mocha

Usage:

npm i --save-dev eslint
npm i --save-dev eslint-config-clarity-hub
{
  "extends": ["clarity-hub/node-mocha"]
}

node

Usage:

npm i --save-dev eslint eslint-config-airbnb eslint-plugin-security
npm i --save-dev eslint-config-clarity-hub
{
  "extends": ["clarity-hub/node"]
}

react

Usage:

npm i --save-dev eslint \
  eslint-config-react-app \
  eslint-plugin-import \
  eslint-plugin-flowtype
  eslint-plugin-jsx-a11y \
  eslint-plugin-react \
  @typescript-eslint/eslint-plugin \
  @typescript-eslint/parser
npm i --save-dev eslint-config-clarity-hub
{
  "extends": ["clarity-hub/react"]
}

Package Sidebar

Install

npm i eslint-config-clarity-hub

Weekly Downloads

5

Version

3.0.0

License

MIT

Unpacked Size

11.2 kB

Total Files

8

Last publish

Collaborators

  • idmontie